
{: test that using a pointer after it has been disposed causes a fatal error }

{$d+}
program d005( output );

var
   p1 : ^real;
   p2 : ^integer;
begin
   new(p1);
   p1^ := 100.6;
   new(p2);
   dispose(p1);
   writeln( 'p1^ is ', p1^:1:1, ', p2^ is ', p2^:1 );
   dispose(p2);
end. { d005 }

